Search Unity

  1. Check out the Unite LA keynote for updates on the Visual Effect Editor, the FPS Sample, ECS, Unity for Film and more! Watch it now!
    Dismiss Notice
  2. The Unity Pro & Visual Studio Professional Bundle gives you the tools you need to develop faster & collaborate more efficiently. Learn more.
    Dismiss Notice
  3. Improved Prefab workflow (includes Nested Prefabs!), 2D isometric Tilemap and more! Get the 2018.3 Beta now.
    Dismiss Notice
  4. Improve your Unity skills with a certified instructor in a private, interactive classroom. Watch the overview now.
    Dismiss Notice
  5. Want to see the most recent patch releases? Take a peek at the patch release page.
    Dismiss Notice

Unity 2018.2.7f1 and TextMeshPro console error fix

Discussion in 'Unity UI & TextMesh Pro' started by gamegirl1984, Sep 13, 2018.

?

Did this fix your problem?

Poll closed Oct 13, 2018.
  1. Yes

    0 vote(s)
    0.0%
  2. No

    0 vote(s)
    0.0%
  1. gamegirl1984

    gamegirl1984

    Joined:
    Nov 6, 2014
    Posts:
    98
    Hello,

    I searched and search and was unable to find a fix on this issue, figured it out so will post how to fix the console issue.

    I updated to the most resent Unity version to start a NEW project. I did not import an old project, but had a huge list of console errors in regards to textmesh pro.

    The fix is as follows:

    Go to Window>Package manager>TextMeshPro, and downgrade to 1.2.3, once you click on update - all the console errors disappear. If this does not work, you may have other issues.
    upload_2018-9-13_6-28-54.png
     
  2. Stephan_B

    Stephan_B

    Unity Technologies

    Joined:
    Feb 26, 2017
    Posts:
    1,786
    Can you please post the errors that you are getting in the console?

    The TMP UPM package is included by default in Unity 2018.2. When creating a new project, you should not be getting any errors.

    I have had some users report errors in new projects but this was related to having created the new project using a template which happens to also contain TextMesh Pro and as such results in two version of the package being included.

    Once you post these errors, I'll be able to guide you through solving this issue as like I said you should not be getting errors.